aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/vtk/ChangeLog353
-rw-r--r--sci-libs/vtk/Manifest11
-rw-r--r--sci-libs/vtk/files/vtk-5.6.0-R.patch57
-rw-r--r--sci-libs/vtk/files/vtk-5.6.0-boost-property_map.patch13
-rw-r--r--sci-libs/vtk/files/vtk-5.6.0-cg-path.patch36
-rw-r--r--sci-libs/vtk/files/vtk-5.6.0-libpng14.patch22
-rw-r--r--sci-libs/vtk/files/vtk-5.6.0-odbc.patch12
-rw-r--r--sci-libs/vtk/metadata.xml20
-rw-r--r--sci-libs/vtk/vtk-5.6.1.ebuild258
9 files changed, 782 insertions, 0 deletions
diff --git a/sci-libs/vtk/ChangeLog b/sci-libs/vtk/ChangeLog
new file mode 100644
index 000000000..823010df7
--- /dev/null
+++ b/sci-libs/vtk/ChangeLog
@@ -0,0 +1,353 @@
+# ChangeLog for sci-libs/vtk
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-libs/vtk/ChangeLog,v 1.78 2010/07/24 18:25:18 jlec Exp $
+
+ 26 Oct 2010; François Bissey <f.r.bissey@massey.ac.nz>
+ +files/vtk-5.6.0-R.patch, +files/vtk-5.6.0-boost-property_map.patch,
+ +files/vtk-5.6.0-cg-path.patch, +files/vtk-5.6.0-libpng14.patch,
+ +files/vtk-5.6.0-odbc.patch, +vtk-5.6.1.ebuild, +metadata.xml:
+ fix silly mistake
+
+ 26 Oct 2010; François Bissey <f.r.bissey@massey.ac.nz>
+ +files/vtk-5.6.0-R.patch, +files/vtk-5.6.0-boost-property_map.patch,
+ +files/vtk-5.6.0-cg-path.patch, +files/vtk-5.6.0-libpng14.patch,
+ +files/vtk-5.6.0-odbc.patch, +vtk-5.6.1.ebuild, +metadata.xml:
+ Move to qt4-r2 eclass, drop old patches.
+
+*vtk-5.6.1 (26 Oct 2010)
+
+ 26 Oct 2010; François Bissey <f.r.bissey@massey.ac.nz>
+ +files/vtk-5.0.3-mpi.patch, +files/vtk-5.0.4-gcc4.3.patch,
+ +files/vtk-5.2.0-tcl-install.patch,
+ +files/vtk-5.4.2-boost-property_map.patch, +files/vtk-5.4.2-cg-path.patch,
+ +files/vtk-5.4.2-libpng14.patch, +files/vtk-5.6.0-R.patch,
+ +files/vtk-5.6.0-boost-property_map.patch, +files/vtk-5.6.0-cg-path.patch,
+ +files/vtk-5.6.0-libpng14.patch, +files/vtk-5.6.0-odbc.patch,
+ +vtk-5.6.1.ebuild, +metadata.xml:
+ Import vtk-5.6.1 in the overlay.
+
+ 24 Jul 2010; Justin Lecher <jlec@gentoo.org> vtk-5.6.0-r2.ebuild:
+ Fix for compilation with USE=ffmpeg, #327517
+
+ 11 Jul 2010; Justin Lecher <jlec@gentoo.org> vtk-5.6.0-r2.ebuild,
+ +files/vtk-5.6.0-odbc.patch:
+ Imported support for dbs from sci overlay, 327601, thanks yFrancois Bissey
+
+ 17 Jun 2010; Justin Bronder <jsbronder@gentoo.org> vtk-5.4.2-r1.ebuild:
+ Remove sys-cluster/lam-mpi handling, see #324415.
+
+ 09 Jun 2010; Justin Lecher <jlec@gentoo.org> -vtk-5.4.2.ebuild:
+ removed old version which having problems with PYTHON ABIs stuff
+
+ 07 Jun 2010; Justin Lecher <jlec@gentoo.org> vtk-5.6.0-r2.ebuild:
+ Fixed ogg -> theora USE transition
+
+ 31 May 2010; Justin Lecher <jlec@gentoo.org> metadata.xml:
+ Added myself as maintainer
+
+*vtk-5.6.0-r2 (29 May 2010)
+
+ 29 May 2010; Justin Lecher <jlec@gentoo.org> -vtk-5.6.0-r1.ebuild,
+ +vtk-5.6.0-r2.ebuild:
+ Don't use bundled libtheora, moved USE ogg -> theora
+
+ 29 May 2010; Justin Lecher <jlec@gentoo.org> vtk-5.6.0-r1.ebuild:
+ Added missing DEPS
+
+ 29 May 2010; Justin Lecher <jlec@gentoo.org> vtk-5.6.0-r1.ebuild:
+ Corrected version of cmake in DEPEND for mpi
+
+*vtk-5.6.0-r1 (28 May 2010)
+
+ 28 May 2010; Justin Lecher <jlec@gentoo.org> vtk-5.4.2.ebuild,
+ files/vtk-5.4.2-boost-property_map.patch, -vtk-5.6.0.ebuild,
+ +vtk-5.6.0-r1.ebuild, +files/vtk-5.6.0-R.patch,
+ files/vtk-5.6.0-boost-property_map.patch:
+ Fixed correct detection R libs
+
+*vtk-5.6.0 (28 May 2010)
+
+ 28 May 2010; Justin Lecher <jlec@gentoo.org> vtk-5.4.2-r1.ebuild,
+ +vtk-5.6.0.ebuild, +files/vtk-5.6.0-boost-property_map.patch,
+ +files/vtk-5.6.0-cg-path.patch, +files/vtk-5.6.0-libpng14.patch:
+ Version Bump #321505; Added support for ogg R; prelimary support for
+ PREFIX
+
+ 22 May 2010; Justin Lecher <jlec@gentoo.org> vtk-5.4.2.ebuild,
+ vtk-5.4.2-r1.ebuild:
+ Add x11-libs/qt-sql to deps, #301684
+
+ 25 Apr 2010; Justin Lecher <jlec@gentoo.org> vtk-5.4.2-r1.ebuild:
+ Python ABI fixes, #316229
+
+ 26 Mar 2010; Ben de Groot <yngwin@gentoo.org> vtk-5.4.2.ebuild,
+ vtk-5.4.2-r1.ebuild:
+ Don't inherit unused qt3 eclass (bug #310669)
+
+ 11 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> vtk-5.4.2-r1.ebuild,
+ +files/vtk-5.4.2-libpng14.patch:
+ Fix building with libpng14.
+
+ 11 Feb 2010; Justin Lecher <jlec@gentoo.org> vtk-5.4.2.ebuild,
+ vtk-5.4.2-r1.ebuild:
+ Removed qt3 support as it is no longer in the tree
+
+ 21 Jan 2010; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2-r1.ebuild,
+ +files/vtk-5.4.2-boost-property_map.patch:
+ Added patch to allow compilation against boost-1.42 (fixes #301684).
+
+ 16 Jan 2010; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2-r1.ebuild:
+ Updated handling of mycmakeargs from cmake-utils.eclass.
+
+*vtk-5.4.2-r1 (19 Dec 2009)
+
+ 19 Dec 2009; Markus Dittrich <markusle@gentoo.org> +vtk-5.4.2-r1.ebuild:
+ New revision uses cmake-utils eclass and is significantly cleaned up.
+ This should have also fixed bugs #295053 and #287591.
+ Thanks much to Francois Bissey <f.r.bissey@massey.ac.nz> for his help.
+
+ 17 Dec 2009; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2.ebuild:
+ Updated dependency on cmake to >=2.6 (fixes bug #295531).
+
+ 04 Dec 2009; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2.ebuild:
+ Added short notice regarding possible parallel make issues per bug
+ #244896.
+
+ 24 Nov 2009; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2.ebuild:
+ Removed boost from RDEPEND (fixes bug #293083).
+
+ 18 Sep 2009; Petteri Räty <betelgeuse@gentoo.org> -vtk-5.0.4.ebuild,
+ -vtk-5.2.0-r1.ebuild:
+ Remove old versions using built_with_use.
+
+ 01 Sep 2009; Markus Dittrich <markusle@gentoo.org> vtk-5.4.2.ebuild:
+ Added missing dependency on qt-opengl (fixes bug #283181).
+
+*vtk-5.4.2 (17 Jul 2009)
+
+ 17 Jul 2009; Markus Dittrich <markusle@gentoo.org> -vtk-5.0.3.ebuild,
+ +files/vtk-5.4.2-cg-path.patch, +vtk-5.4.2.ebuild:
+ Version bump (fixes bug #269040). Also removed old version.
+
+ 27 Oct 2008; Markus Dittrich <markusle@gentoo.org> vtk-5.2.0-r1.ebuild:
+ Attempt to fix sandbox violations (see bug #244378).
+
+*vtk-5.2.0-r1 (05 Oct 2008)
+
+ 05 Oct 2008; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-5.2.0-tcl-install.patch, -vtk-5.2.0.ebuild,
+ +vtk-5.2.0-r1.ebuild:
+ Fixed improper install location of support files (see bug #239553).
+
+*vtk-5.2.0 (01 Oct 2008)
+
+ 01 Oct 2008; Markus Dittrich <markusle@gentoo.org> +vtk-5.2.0.ebuild:
+ Version bump (fixes bug #238883). Thanks much to Steve Yin
+ <steve@chinavfx.net> for his ebuild.
+
+ 07 Aug 2008; Ulrich Mueller <ulm@gentoo.org> metadata.xml:
+ Add USE flag description to metadata wrt GLEP 56.
+
+ 28 Jul 2008; Carsten Lohrke <carlo@gentoo.org> vtk-5.0.3.ebuild:
+ QA: Get rid of deprecated qt?_min_version().
+
+ 27 Jul 2008; Carsten Lohrke <carlo@gentoo.org> vtk-5.0.4.ebuild:
+ Fix broken split Qt 4.4 dependencies, cf. bug 217161 comment 11.
+
+ 08 Jul 2008; Thomas Anderson <gentoofan23@gentoo.org> vtk-5.0.4.ebuild:
+ Add a qt-gui dependency, it really is needed.
+
+ 03 Jul 2008; Thomas Anderson <gentoofan23@gentoo.org> vtk-5.0.4.ebuild:
+ Migrate Dependencies to permit Split QT 4.4 to satisfy dependencies, bug
+ #217189
+
+ 24 May 2008; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-5.0.4-gcc4.3.patch, vtk-5.0.4.ebuild:
+ Added gcc-4.3 compatibility patch (see bug #223383). Thanks much to
+ Bert Karwatzki <spasswolf@web.de> for his patch.
+
+ 09 Mar 2008; Markus Dittrich <markusle@gentoo.org> vtk-5.0.4.ebuild:
+ Backported support for tcl/tk-8.5 from cvs head (fixes bug 212700).
+ Thanks much to Pacho Ramos <pacho@condmat1.ciencias.uniovi.es> for
+ his patch.
+
+*vtk-5.0.4 (06 Mar 2008)
+
+ 06 Mar 2008; Markus Dittrich <markusle@gentoo.org> +vtk-5.0.4.ebuild:
+ Version bump.
+
+ 29 Feb 2008; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Fixed bogus install location (see bug #211819). Thanks much to
+ Matthias Langer <mlangc@gmx.at> for his patch.
+
+ 21 Feb 2008; Markus Dittrich <markusle@gentoo.org>
+ -files/vtk-5.0.1-python2.5-gentoo.patch, -files/vtk-5.0.3-lammpi.patch,
+ +files/vtk-5.0.3-mpi.patch, vtk-5.0.3.ebuild:
+ Removed support for mpich and added support for mpich2, openmpi, and
+ lam-mpi. Also fixed some QA issues and added qt4 eclass.
+
+ 19 Aug 2007; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Fixed incomplete RDEPEND.
+
+ 01 Aug 2007; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Added LGPL-2 to LICENSE since it is needed for gl2ps (see bug 146019).
+
+ 22 Jul 2007; Donnie Berkholz <dberkholz@gentoo.org>; vtk-5.0.3.ebuild:
+ Drop virtual/x11 references.
+
+ 11 Jun 2007; Petteri Räty <betelgeuse@gentoo.org> -vtk-5.0.2.ebuild:
+ Remove old version.
+
+ 11 Jun 2007; Petteri Räty <betelgeuse@gentoo.org> vtk-5.0.3.ebuild:
+ Add java? ( >=virtual/jre-1.5 ) to RDEPEND.
+
+ 28 May 2007; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Added VTKHOME as exported environmental variable.
+
+ 08 May 2007; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Re-added compile flag for javac needed on amd64 (see bug #177506).
+
+ 06 May 2007; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-5.0.3-lammpi.patch, vtk-5.0.3.ebuild:
+ Added patch fixing cmake files to properly detect and add lam-mpi
+ libraries.
+
+ 04 May 2007; Markus Dittrich <markusle@gentoo.org> vtk-5.0.3.ebuild:
+ Check for qt3support useflag when building the examples under qt4
+ (see bug #176847).
+
+ 01 May 2007; Markus Dittrich <markusle@gentoo.org> metadata.xml,
+ vtk-5.0.3.ebuild:
+ Removed explicit java CLASSPATH and added the friendly java folks
+ to metadata (see bug #176547).
+
+*vtk-5.0.3 (23 Apr 2007)
+
+ 23 Apr 2007; Markus Dittrich <markusle@gentoo.org>
+ -files/vtk-qt-gentoo.patch, -vtk-5.0.0.ebuild, -vtk-5.0.1.ebuild,
+ +vtk-5.0.3.ebuild:
+ Version bump and removed old versions. Thanks much to Sebastien
+ Fabbro <bicatali@gentoo.org> for his ebuild.
+
+ 16 Apr 2007; Christian Faulhammer <opfer@gentoo.org> vtk-5.0.0.ebuild:
+ moved from USE tcltk to tk, see bug 17808
+
+*vtk-5.0.2 (02 Dec 2006)
+
+ 02 Dec 2006; Markus Dittrich <markusle@gentoo.org> +vtk-5.0.2.ebuild:
+ Version bump.
+
+ 18 Nov 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.1.ebuild:
+ Added -j1 back to ebuild since some people still experience problems
+ with parallel builds (see discussion on bug #146767).
+
+ 14 Oct 2006; Joshua Nichols <nichoj@gentoo.org> vtk-5.0.0.ebuild:
+ Added call to java-pkg_pkg_setup, for bug #142708
+
+ 23 Sep 2006; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-5.0.1-python2.5-gentoo.patch, vtk-5.0.1.ebuild:
+ Added patch to fix compile problems with python-2.5
+ (see bug #148727).
+
+ 08 Sep 2006; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-qt-gentoo.patch, -files/vtk-qt3-qt4-gentoo.patch,
+ vtk-5.0.0.ebuild, vtk-5.0.1.ebuild:
+ Renamed the qt patch in an effort to get rid of the executable
+ permissions. Also cleaned up the ebuilds some.
+
+ 08 Sep 2006; Markus Dittrich <markusle@gentoo.org>
+ files/vtk-qt3-qt4-gentoo.patch, -files/vtk-4.2.6-gcc34.patch,
+ -vtk-4.2.6.ebuild:
+ Removed old version since it doesn't build any more. Also fixed
+ permissions for the vtk-qt patch (see bug #146826).
+
+ 20 Jul 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.1.ebuild:
+ Moved to new java system. Removed -j1 from emake since it works
+ fine here with -j2.
+
+*vtk-5.0.1 (09 Jul 2006)
+
+ 09 Jul 2006; Markus Dittrich <markusle@gentoo.org> vtk-4.2.6.ebuild,
+ vtk-5.0.0.ebuild, +vtk-5.0.1.ebuild:
+ Version bump. Also, split tcltk USE flag into tcl and tk and moved
+ to new style virtual/jdk.
+
+ 23 Jun 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.0.ebuild:
+ Added a warning to the ebuild that qt4 is the default in case both
+ qt3 and qt4 are selected as use flags (see bug #137658).
+
+ 11 Jun 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.0.ebuild:
+ Fix RDEPEND and cmake configuration such that tcl/tk is only
+ pulled in and used if USE=tcltk. This closes bug #136324.
+
+ 27 Apr 2006; Alec Warner <antarus@gentoo.org> Manifest:
+ Fixing SHA256 digest, pass four
+
+ 21 Apr 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.0.ebuild:
+ Depend on cmake-2.2.x to be able to properly compile against QT4.
+ This fixes bug #130471.
+
+ 07 Apr 2006; Markus Dittrich <markusle@gentoo.org> ChangeLog:
+ Removed from package.mask after testing.
+
+ 27 Mar 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.0.ebuild:
+ Added proper JAVA_AWT_LIBRARY cmake variable for amd64 platform.
+ Thanks to Sebastiaan <s.breedveld@erasmusmc.nl> for pointing this
+ out (c.f. bug #123178).
+
+ 26 Mar 2006; Markus Dittrich <markusle@gentoo.org>
+ +files/vtk-qt3-qt4-gentoo.patch, vtk-5.0.0.ebuild:
+ Added a small fix for java compilation on amd64 as detailed
+ in bug #123178. Thanks to Sebastiaan <s.breedveld@erasmusmc.nl> for
+ the fix. Also enabled compilation of vtk against either QT3 or QT4.
+
+ 06 Mar 2006; Markus Dittrich <markusle@gentoo.org> vtk-5.0.0.ebuild:
+ Fixed some QT3 issues and forced -j1 during emake. Thanks
+ much to Sebastiaan <s.breedveld@erasmusmc.nl> for his fixes
+ and testing.
+
+*vtk-5.0.0 (05 Mar 2006)
+
+ 05 Mar 2006; Markus Dittrich <markusle@gentoo.org> +vtk-5.0.0.ebuild:
+ Version bump. Many thanks to Toon Verstraelen
+ <Toon.Verstraelen@UGent.be> and Sebastiaan
+ <s.breedveld@erasmusmc.nl> for their ebuilds and patches.
+ This fixes bug #123178.
+
+ 26 Feb 2006; Markus Dittrich <markusle@gentoo.org> vtk-4.2.6.ebuild:
+ Added cmake command line flag to prevent insecure RUNPATHS
+ (c.f. bug #122875).
+
+ 22 Jan 2006; Markus Dittrich <markusle@gentoo.org> vtk-4.2.6.ebuild:
+ Fix dependencies for modular X and replace instances of lib with
+ $(get_libdir).
+
+ 17 Jan 2006; Markus Dittrich <markusle@gentoo.org> metadata.xml:
+ Changed maintainer to Markus Dittrich <markusle@gentoo.org>.
+
+ 19 Dec 2005; Markus Dittrich <markusle@gentoo.org> vtk-4.2.6.ebuild:
+ Use python eclass functions to determine installed python version.
+
+ 18 Dec 2005; Markus Dittrich <markusle@gentoo.org> vtk-4.2.6.ebuild:
+ Fixed compilation problems when using cmake-2.2.x and when compiling against
+ python 2.4.x. Also corrected installation path of vtk jar file. This fixes
+ bugs #112119, #103343, #113597.
+
+ 08 Oct 2005; Thomas Matthijs <axxo@gentoo.org> vtk-4.2.6.ebuild:
+ use java-pkg_dojar not dojar
+
+ 24 Aug 2005; Patrick Kursawe <phosphan@gentoo.org> vtk-4.2.6.ebuild:
+ No longer using cp -a (bug #103487)
+
+ 20 Aug 2005; Olivier Fisette <ribosome@gentoo.org> vtk-4.2.6.ebuild:
+ Removed unused "data" USE flag (fixes bug #100418).
+
+ 03 Jun 2005; Patrick Dawson <pkdawson@gentoo.org> vtk-4.2.6.ebuild:
+ Typo fix.
+
+*vtk-4.2.6 (10 May 2005)
+
+ 10 May 2005; Patrick Dawson <pkdawson@gentoo.org>
+ +files/vtk-4.2.6-gcc34.patch, +vtk-4.2.6.ebuild:
+ Initial import. See bug #25335.
+
diff --git a/sci-libs/vtk/Manifest b/sci-libs/vtk/Manifest
new file mode 100644
index 000000000..edb72d969
--- /dev/null
+++ b/sci-libs/vtk/Manifest
@@ -0,0 +1,11 @@
+AUX vtk-5.6.0-R.patch 2463 RMD160 be1ca5c2bd56ce2bf14d23817c1fe69901503345 SHA1 c08a10926064536f06e405b57ece07738896787d SHA256 ffdb077883fd054a1daefa9f1a073877f4f00a5fd4f0fc5bb7021feae5ad2e97
+AUX vtk-5.6.0-boost-property_map.patch 547 RMD160 3ae309e296febc8a5c5d86795fd7766fe12dcdf8 SHA1 e97b4273d94c1647c959469f6f1829101fabb108 SHA256 de594eb23b9a7c18c4c6bb67b507dd627e580fcc7e2ba8c151da94bf2949d3f1
+AUX vtk-5.6.0-cg-path.patch 1106 RMD160 a6cb9f4855dfe417d83e7bba04a02da88af869a6 SHA1 fa5afd4b1a943f255e2f20fa35f440518f9d9d95 SHA256 7ad4eb9a82664a2e9c51d8763e594634027051b54ce48bb1c2fca6d1a42635c9
+AUX vtk-5.6.0-libpng14.patch 734 RMD160 d54626d332130fe242b3a5b1300a650e45763d29 SHA1 e6480b68a14345d7dfa78f6d37ff7301366d99d8 SHA256 81565709c8cfb4df3c28d69df8094d15923d824345330ab5ba101a9780e6e9f9
+AUX vtk-5.6.0-odbc.patch 328 RMD160 888680f3e503f8ce624c73df9bb0402309c1384b SHA1 02022f5f345ccfe8a13d99201828edb0371d7cc5 SHA256 eca7a508fcd07eb6d40e609e3670d12ce2d2d39dda11b60f418acd279ca03c25
+DIST vtk-5.6.1.tar.gz 20780311 RMD160 ac1864c9604d843ab9c654c67109f4f1487acaee SHA1 6d4d0de3b468828f21f70c5af5e37f9412ee59c5 SHA256 007be00bae6c7c96f78ca9709516c993a4e3221d0b1762a7fe70e2abe407e86d
+DIST vtkDocHtml-5.6.1.tar.gz 103469987 RMD160 ca6790ab0542fc91db53cc31f4ad9c3c025442d3 SHA1 9ade3dbfa76a2ac5e48dcb89398d2ffe85096a76 SHA256 2b035356743c36d982074078b2298d987e62c908285333a588addfb126f89dbe
+DIST vtkdata-5.6.1.tar.gz 77991728 RMD160 b77b5f6919beae406712b93cd333dd4fad5ff3d1 SHA1 7350863d6351a961c4813ad6e73f74428307cd35 SHA256 ad2f8c99940f07f3edcbf71d838717c5c55d252cc8a67e705620858adaaa66f2
+EBUILD vtk-5.6.1.ebuild 7474 RMD160 f334112c1af3f72d49f3e508f5fe59579755cfe5 SHA1 ef8862575bcf62c1e66234f5a9324c60d1366d3b SHA256 8d8ad63e336e8fd4699f2efda5564c14ffa5c325a314fdbcc9aab4da0a3dd984
+MISC ChangeLog 14023 RMD160 e78937692a8bb79b1c952c303874d042033a25be SHA1 19adeb672682723b844e319ed352fa43f9cff6b0 SHA256 5c92239152416a9c940cfd189c7e458a9427e87332e086ad1ecc132e1f3eddca
+MISC metadata.xml 574 RMD160 ccd927f3a387710bbf53f3f0f88c971dc814c605 SHA1 8160c080306039e0b3b18ced75ae6b81b8590ddc SHA256 9a3ca872da01db519865e7753e9c0922fe56972f4d6e27cbf5622afd41d23300
diff --git a/sci-libs/vtk/files/vtk-5.6.0-R.patch b/sci-libs/vtk/files/vtk-5.6.0-R.patch
new file mode 100644
index 000000000..1327121c2
--- /dev/null
+++ b/sci-libs/vtk/files/vtk-5.6.0-R.patch
@@ -0,0 +1,57 @@
+diff --git a/CMake/FindR.cmake b/CMake/FindR.cmake
+index ee49570..c830db0 100644
+--- a/CMake/FindR.cmake
++++ b/CMake/FindR.cmake
+@@ -18,13 +18,12 @@ IF (R_COMMAND)
+ ENDIF (R_COMMAND)
+ SET(CMAKE_FIND_APPBUNDLE ${TEMP_CMAKE_FIND_APPBUNDLE})
+
+-FIND_PATH(R_INCLUDE_DIR R.h PATHS /usr/local/lib /usr/local/lib64 PATH_SUFFIXES R/include DOC "Path to file R.h")
++FIND_PATH(R_INCLUDE_DIR R.h PATHS /usr/lib /usr/lib64 PATH_SUFFIXES R/include DOC "Path to file R.h")
+ FIND_LIBRARY(R_LIBRARY_BASE R PATHS ${R_BASE_DIR} PATH_SUFFIXES /lib DOC "R library (example libR.a, libR.dylib, etc.).")
+-FIND_LIBRARY(R_LIBRARY_BLAS Rblas PATHS ${R_BASE_DIR} PATH_SUFFIXES /lib DOC "Rblas library (example libRblas.a, libRblas.dylib, etc.).")
+-FIND_LIBRARY(R_LIBRARY_LAPACK Rlapack PATHS ${R_BASE_DIR} PATH_SUFFIXES /lib DOC "Rlapack library (example libRlapack.a, libRlapack.dylib, etc.).")
++FIND_LIBRARY(R_LIBRARY_MATH Rmath PATHS ${R_BASE_DIR} PATH_SUFFIXES /lib DOC "Rmath library (example libRmath.a, libRmath.dylib, etc.).")
+ FIND_LIBRARY(R_LIBRARY_READLINE readline DOC "(Optional) system readline library. Only required if the R libraries were build with readline support.")
+
+-SET(R_LIBRARIES ${R_LIBRARY_BASE} ${R_LIBRARY_BLAS} ${R_LIBRARY_LAPACK} ${R_LIBRARY_BASE})
++SET(R_LIBRARIES ${R_LIBRARY_BASE} ${R_LIBRARY_MATH} ${R_LIBRARY_BASE})
+ IF (R_LIBRARY_READLINE)
+ SET(R_LIBRARIES ${R_LIBRARIES} ${R_LIBRARY_READLINE})
+ ENDIF (R_LIBRARY_READLINE)
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 9d4e881..1a828a4 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1054,8 +1054,18 @@ IF(VTK_WRAP_JAVA)
+ ENDIF(JAVA_AWT_LIBRARY)
+ ENDIF(VTK_WRAP_JAVA)
+
++IF(VTK_USE_GNU_R)
++ FIND_PACKAGE(R)
++ENDIF(VTK_USE_GNU_R)
+
+-
++IF(VTK_USE_BOOST)
++ if (VTK_USE_PARALLEL_BGL)
++ FIND_PACKAGE(Boost 1.39.0 REQUIRED
++ COMPONENTS mpi serialization filesystem system graph_parallel)
++ else (VTK_USE_PARALLEL_BGL)
++ FIND_PACKAGE(Boost REQUIRED)
++ endif (VTK_USE_PARALLEL_BGL)
++ENDIF(VTK_USE_BOOST)
+ #-----------------------------------------------------------------------------
+ # The entire VTK tree should use the same include path.
+
+diff --git a/Graphics/vtkRInterface.cxx b/Graphics/vtkRInterface.cxx
+index 324e845..56a4869 100644
+--- a/Graphics/vtkRInterface.cxx
++++ b/Graphics/vtkRInterface.cxx
+@@ -23,6 +23,7 @@
+ #undef HAVE_UINTPTR_T
+ #ifdef HAVE_VTK_UINTPTR_T
+ #define HAVE_UINTPTR_T HAVE_VTK_UINTPTR_T
++#include <stdint.h>
+ #endif
+
+ #include "vtkInformation.h"
diff --git a/sci-libs/vtk/files/vtk-5.6.0-boost-property_map.patch b/sci-libs/vtk/files/vtk-5.6.0-boost-property_map.patch
new file mode 100644
index 000000000..9319378ac
--- /dev/null
+++ b/sci-libs/vtk/files/vtk-5.6.0-boost-property_map.patch
@@ -0,0 +1,13 @@
+diff --git a/Infovis/vtkTreeLayoutStrategy.cxx b/Infovis/vtkTreeLayoutStrategy.cxx
+index 4a764ea..74d0b53 100644
+--- a/Infovis/vtkTreeLayoutStrategy.cxx
++++ b/Infovis/vtkTreeLayoutStrategy.cxx
+@@ -388,7 +388,7 @@ void vtkTreeLayoutStrategy::PrintSelf(ostream& os, vtkIndent indent)
+ #include "vtkTreeToBoostAdapter.h"
+ #include <boost/graph/visitors.hpp>
+ #include <boost/graph/depth_first_search.hpp>
+-#include <boost/property_map.hpp>
++#include <boost/property_map/property_map.hpp>
+ #include <boost/pending/queue.hpp>
+
+ using namespace boost;
diff --git a/sci-libs/vtk/files/vtk-5.6.0-cg-path.patch b/sci-libs/vtk/files/vtk-5.6.0-cg-path.patch
new file mode 100644
index 000000000..984bf5008
--- /dev/null
+++ b/sci-libs/vtk/files/vtk-5.6.0-cg-path.patch
@@ -0,0 +1,36 @@
+diff --git a/CMake/FindCg.cmake b/CMake/FindCg.cmake
+index ceb41de..5eb6003 100644
+--- a/CMake/FindCg.cmake
++++ b/CMake/FindCg.cmake
+@@ -82,6 +82,7 @@ ELSE (APPLE)
+ FIND_PROGRAM( CG_COMPILER cgc
+ /usr/bin
+ /usr/local/bin
++ /opt/nvidia-cg-toolkit/bin
+ DOC "The Cg Compiler"
+ )
+ GET_FILENAME_COMPONENT(CG_COMPILER_DIR "${CG_COMPILER}" PATH)
+@@ -89,6 +90,7 @@ ELSE (APPLE)
+ FIND_PATH( CG_INCLUDE_PATH Cg/cg.h
+ /usr/include
+ /usr/local/include
++ /opt/nvidia-cg-toolkit/include
+ ${CG_COMPILER_SUPER_DIR}/include
+ DOC "The directory where Cg/cg.h resides"
+ )
+@@ -98,6 +100,7 @@ ELSE (APPLE)
+ /usr/lib
+ /usr/local/lib64
+ /usr/local/lib
++ /opt/nvidia-cg-toolkit/lib
+ ${CG_COMPILER_SUPER_DIR}/lib64
+ ${CG_COMPILER_SUPER_DIR}/lib
+ DOC "The Cg runtime library"
+@@ -108,6 +111,7 @@ ELSE (APPLE)
+ /usr/lib
+ /usr/local/lib64
+ /usr/local/lib
++ /opt/nvidia-cg-toolkit/lib
+ ${CG_COMPILER_SUPER_DIR}/lib64
+ ${CG_COMPILER_SUPER_DIR}/lib
+ DOC "The Cg runtime library"
diff --git a/sci-libs/vtk/files/vtk-5.6.0-libpng14.patch b/sci-libs/vtk/files/vtk-5.6.0-libpng14.patch
new file mode 100644
index 000000000..db1f87d3a
--- /dev/null
+++ b/sci-libs/vtk/files/vtk-5.6.0-libpng14.patch
@@ -0,0 +1,22 @@
+diff --git a/IO/vtkPNGReader.cxx b/IO/vtkPNGReader.cxx
+index d1f5c2f..0bf00e4 100644
+--- a/IO/vtkPNGReader.cxx
++++ b/IO/vtkPNGReader.cxx
+@@ -116,7 +116,7 @@ void vtkPNGReader::ExecuteInformation()
+ // minimum of a byte per pixel
+ if (color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8)
+ {
+- png_set_gray_1_2_4_to_8(png_ptr);
++ png_set_expand_gray_1_2_4_to_8(png_ptr);
+ }
+
+ // add alpha if any alpha found
+@@ -225,7 +225,7 @@ void vtkPNGReaderUpdate2(vtkPNGReader *self, OT *outPtr,
+ // minimum of a byte per pixel
+ if (color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8)
+ {
+- png_set_gray_1_2_4_to_8(png_ptr);
++ png_set_expand_gray_1_2_4_to_8(png_ptr);
+ }
+
+ // add alpha if any alpha found
diff --git a/sci-libs/vtk/files/vtk-5.6.0-odbc.patch b/sci-libs/vtk/files/vtk-5.6.0-odbc.patch
new file mode 100644
index 000000000..be24af11a
--- /dev/null
+++ b/sci-libs/vtk/files/vtk-5.6.0-odbc.patch
@@ -0,0 +1,12 @@
+diff -Naur CMake/FindODBC.cmake.orig CMake/FindODBC.cmake
+--- CMake/FindODBC.cmake.orig 2008-10-08 13:51:36.000000000 -0400
++++ CMake/FindODBC.cmake 2010-01-21 22:11:26.000000000 -0500
+@@ -30,7 +30,7 @@
+ )
+
+ FIND_LIBRARY( ODBC_LIBRARY
+- NAMES iodbc unixodbc
++ NAMES iodbc unixodbc odbc
+ PATHS
+ /usr/lib
+ /usr/lib/odbc
diff --git a/sci-libs/vtk/metadata.xml b/sci-libs/vtk/metadata.xml
new file mode 100644
index 000000000..4671a1cbe
--- /dev/null
+++ b/sci-libs/vtk/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<herd>java</herd>
+<maintainer>
+ <email>markusle@gentoo.org</email>
+ <name>Markus Dittrich</name>
+</maintainer>
+<maintainer>
+ <email>jlec@gentoo.org</email>
+ <name>Justin Lecher</name>
+</maintainer>
+<use>
+ <flag name='boost'>Add support for boost</flag>
+ <flag name='cg'>Use nvidia's cg shaders</flag>
+ <flag name='patented'>Build patented classes</flag>
+ <flag name='R'>Enable support for dev-lang/R</flag>
+</use>
+</pkgmetadata>
diff --git a/sci-libs/vtk/vtk-5.6.1.ebuild b/sci-libs/vtk/vtk-5.6.1.ebuild
new file mode 100644
index 000000000..7ba5f39c5
--- /dev/null
+++ b/sci-libs/vtk/vtk-5.6.1.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+PYTHON_DEPEND="python? 2"
+
+inherit eutils flag-o-matic java-pkg-opt-2 python qt4-r2 versionator toolchain-funcs cmake-utils
+
+# Short package version
+SPV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="The Visualization Toolkit"
+HOMEPAGE="http://www.vtk.org"
+SRC_URI="http://www.${PN}.org/files/release/${SPV}/${P}.tar.gz
+ examples? ( http://www.${PN}.org/files/release/${SPV}/${PN}data-${PV}.tar.gz )
+ doc? ( http://www.${PN}.org/doc/release/${SPV}/${PN}DocHtml-${PV}.tar.gz )"
+
+LICENSE="BSD LGPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="boost cg doc examples ffmpeg java mpi mysql odbc patented postgres python qt4 tcl theora tk threads R"
+RDEPEND="
+ cg? ( media-gfx/nvidia-cg-toolkit )
+ examples? (
+ x11-libs/qt-core:4[qt3support]
+ x11-libs/qt-gui:4[qt3support] )
+ ffmpeg? ( media-video/ffmpeg )
+ java? ( >=virtual/jre-1.5 )
+ mpi? ( virtual/mpi[cxx,romio] )
+ mysql? ( virtual/mysql )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( dev-db/postgresql-base )
+ qt4? (
+ x11-libs/qt-core:4
+ x11-libs/qt-gui:4
+ x11-libs/qt-opengl:4
+ x11-libs/qt-sql:4
+ x11-libs/qt-webkit:4 )
+ tcl? ( >=dev-lang/tcl-8.2.3 )
+ theora? ( media-libs/libtheora )
+ tk? ( >=dev-lang/tk-8.2.3 )
+ R? ( dev-lang/R )
+ dev-libs/expat
+ dev-libs/libxml2
+ media-libs/freetype
+ media-libs/jpeg
+ media-libs/libpng
+ media-libs/mesa
+ media-libs/tiff
+ sys-libs/zlib
+ virtual/opengl
+ x11-libs/libX11
+ x11-libs/libXmu
+ x11-libs/libXt"
+
+DEPEND="${RDEPEND}
+ java? ( >=virtual/jdk-1.5 )
+ boost? ( >=dev-libs/boost-1.40.0[mpi?] )
+ mpi? ( >=dev-util/cmake-2.8.1-r2 )
+ >=dev-util/cmake-2.6"
+
+S="${WORKDIR}"/VTK
+
+pkg_setup() {
+ echo
+ einfo "Please note that the VTK build occasionally fails when"
+ einfo "using parallel make. Hence, if you experience a build"
+ einfo "failure please try re-emerging with MAKEOPTS=\"-j1\" first."
+ echo
+
+ java-pkg-opt-2_pkg_setup
+
+ use python && python_set_active_version 2
+ use qt4 && qt4_pkg_setup
+ append-cppflags -D__STDC_CONSTANT_MACROS
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-5.6.0-cg-path.patch
+ epatch "${FILESDIR}"/${PN}-5.2.0-tcl-install.patch
+ epatch "${FILESDIR}"/${PN}-5.6.0-boost-property_map.patch
+ epatch "${FILESDIR}"/${PN}-5.6.0-libpng14.patch
+ epatch "${FILESDIR}"/${PN}-5.6.0-R.patch
+ epatch "${FILESDIR}"/${PN}-5.6.0-odbc.patch
+ # Fix sure buffer overflow on some processors as reported by Flameyes in #338819
+ sed -e "s:CHIPNAME_STRING_LENGTH (48 + 1):CHIPNAME_STRING_LENGTH (79 + 1):" \
+ -i Utilities/kwsys/SystemInformation.cxx \
+ || die "Failed to fix SystemInformation.cxx buffer overflow"
+ sed -e "s:@VTK_TCL_LIBRARY_DIR@:/usr/$(get_libdir):" \
+ -i Wrapping/Tcl/pkgIndex.tcl.in \
+ || die "Failed to fix tcl pkgIndex file"
+}
+
+src_configure() {
+ # general configuration
+ local mycmakeargs=(
+ -Wno-dev
+ -DVTK_INSTALL_PACKAGE_DIR=/$(get_libdir)/${PN}-${SPV}
+ -DCMAKE_SKIP_RPATH=YES
+ -DVTK_DIR="${S}"
+ -DVTK_INSTALL_LIB_DIR=/$(get_libdir)/
+ -DVTK_DATA_ROOT:PATH="${EPREFIX}"/usr/share/${PN}/data
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}"/usr
+ -DBUILD_SHARED_LIBS=ON
+ -DVTK_USE_SYSTEM_EXPAT=ON
+ -DVTK_USE_SYSTEM_FREETYPE=ON
+ -DVTK_USE_SYSTEM_JPEG=ON
+ -DVTK_USE_SYSTEM_LIBXML2=ON
+ -DVTK_USE_SYSTEM_PNG=ON
+ -DVTK_USE_SYSTEM_TIFF=ON
+ -DVTK_USE_SYSTEM_ZLIB=ON
+ -DBUILD_TESTING=OFF
+ -DBUILD_EXAMPLES=OFF
+ -DVTK_USE_HYBRID=ON
+ -DVTK_USE_GL2PS=ON
+ -DVTK_USE_RENDERING=ON)
+
+ # use flag triggered options
+ mycmakeargs+=(
+ $(cmake-utils_use boost VTK_USE_BOOST)
+ $(cmake-utils_use cg VTK_USE_CG_SHADERS)
+ $(cmake-utils_use doc DOCUMENTATION_HTML_HELP)
+ $(cmake-utils_use_build doc DOCUMENTATION)
+ $(cmake-utils_use java VTK_USE_JAVA)
+ $(cmake-utils_use mpi VTK_USE_MPI)
+ $(cmake-utils_use patented VTK_USE_PATENTED)
+ $(cmake-utils_use qt4 VTK_USE_QT)
+ $(cmake-utils_use tcl VTK_WRAP_TCL)
+ $(cmake-utils_use theora VTK_USE_OGGTHEORA_ENCODER)
+ $(cmake-utils_use ffmpeg VTK_USE_FFMPEG_ENCODER)
+ $(cmake-utils_use tk VTK_USE_TK)
+ $(cmake-utils_use threads VTK_USE_PARALLEL)
+ $(cmake-utils_use R VTK_USE_GNU_R)
+ $(cmake-utils_use mysql VTK_USE_MYSQL)
+ $(cmake-utils_use postgres VTK_USE_POSTGRES)
+ $(cmake-utils_use odbc VTK_USE_ODBC) )
+
+ use theora &&
+ mycmakeargs+=(-DVTK_USE_SYSTEM_OGGTHEORA=ON)
+
+ # mpi needs the parallel framework
+ if use mpi && use !threads; then
+ mycmakeargs+=(-DVTK_USE_PARALLEL=ON)
+ fi
+
+ if use java; then
+ mycmakeargs+=(
+ -DVTK_WRAP_JAVA=ON
+ -DJAVA_AWT_INCLUDE_PATH=`java-config -O`/include
+ -DJAVA_INCLUDE_PATH:PATH=`java-config -O`/include
+ -DJAVA_INCLUDE_PATH2:PATH=`java-config -O`/include/linux)
+
+ if [ "${ARCH}" == "amd64" ]; then
+ mycmakeargs+=(-DJAVA_AWT_LIBRARY=`java-config -O`/jre/lib/${ARCH}/libjawt.so)
+ else
+ mycmakeargs+=(-DJAVA_AWT_LIBRARY:PATH=`java-config -O`/jre/lib/i386/libjawt.so)
+ fi
+ fi
+
+ if use python; then
+ mycmakeargs+=(
+ -DVTK_WRAP_PYTHON=ON
+ -DPYTHON_INCLUDE_PATH=$(python_get_includedir)
+ -DPYTHON_LIBRARY=$(python_get_library)
+ -DVTK_PYTHON_SETUP_ARGS:STRING=--root="${D}")
+ fi
+
+ if use qt4 ; then
+ mycmakeargs+=(
+ -DVTK_USE_GUISUPPORT=ON
+ -DVTK_USE_QVTK=ON
+ -DVTK_USE_QVTK_QTOPENGL=ON
+ -DQT_WRAP_CPP=ON
+ -DQT_WRAP_UI=ON
+ -DVTK_INSTALL_QT_DIR=/$(get_libdir)/qt4/plugins/${PN}
+ -DDESIRED_QT_VERSION=4
+ -DQT_MOC_EXECUTABLE="${EPREFIX}"/usr/bin/moc
+ -DQT_UIC_EXECUTABLE="${EPREFIX}"/usr/bin/uic
+ -DQT_INCLUDE_DIR="${EPREFIX}"/usr/include/qt4
+ -DQT_QMAKE_EXECUTABLE="${EPREFIX}"/usr/bin/qmake)
+ fi
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # install docs
+ dohtml "${S}"/README.html || die "Failed to install docs"
+
+ # install Tcl docs
+ docinto vtk_tcl
+ dodoc "${S}"/Wrapping/Tcl/README || \
+ die "Failed to install Tcl docs"
+
+ # install examples
+ if use examples; then
+ dodir /usr/share/${PN} || \
+ die "Failed to create data/examples directory"
+
+ cp -pPR "${S}"/Examples "${D}"/usr/share/${PN}/examples || \
+ die "Failed to copy example files"
+
+ # fix example's permissions
+ find "${D}"/usr/share/${PN}/examples -type d -exec \
+ chmod 0755 {} \; || \
+ die "Failed to fix example directories permissions"
+ find "${D}"/usr/share/${PN}/examples -type f -exec \
+ chmod 0644 {} \; || \
+ die "Failed to fix example files permissions"
+
+ cp -pPR "${WORKDIR}"/VTKData "${D}"/usr/share/${PN}/data || \
+ die "Failed to copy data files"
+
+ # fix data's permissions
+ find "${D}"/usr/share/${PN}/data -type d -exec \
+ chmod 0755 {} \; || \
+ die "Failed to fix data directories permissions"
+ find "${D}"/usr/share/${PN}/data -type f -exec \
+ chmod 0644 {} \; || \
+ die "Failed to fix data files permissions"
+ fi
+
+ #install big docs
+ if use doc; then
+ cd "${WORKDIR}"/html
+ rm -f *.md5 || die "Failed to remove superfluous hashes"
+ einfo "Installing API docs. This may take some time."
+ insinto "/usr/share/doc/${PF}/api-docs"
+ doins -r ./* || die "Failed to install docs"
+ fi
+
+ # environment
+ echo "VTK_DATA_ROOT=/usr/share/${PN}/data" >> "${T}"/40${PN}
+ echo "VTK_DIR=/usr/$(get_libdir)/${PN}-${SPV}" >> "${T}"/40${PN}
+ echo "VTKHOME=/usr" >> "${T}"/40${PN}
+ doenvd "${T}"/40${PN}
+}
+
+pkg_postinst() {
+ if use patented; then
+ ewarn "Using patented code in VTK may require a license."
+ ewarn "For more information, please read:"
+ ewarn "http://public.kitware.com/cgi-bin/vtkfaq?req=show&file=faq07.005.htp"
+ fi
+
+ if use python; then
+ python_mod_optimize vtk
+ fi
+}
+
+pkg_postrm() {
+ if use python; then
+ python_mod_cleanup vtk
+ fi
+}